@import "../../../assets/styles/main.scss";

.loginSingupToggleMain {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 30px;

  .brandLogo {
    width: 90px;
    height: 90px;
    text-align: center;
    margin: auto;
    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
    }
  }
  .toggleSection {
    display: flex;
    width: 100%;
    border-radius: 56px;
    background: getColorHex("white");
    gap: 5px;
    max-width: 287px;
    height: 64px;
    padding: 10px;
    position: relative;
    z-index: 1;
    margin: auto;

    @include lg {
      max-width: 394px;
      height: 50px;
      padding: 7px;
    }

    @include sm {
      max-width: unset;
      height: 55px;
      padding: 5px;
    }
    @include tiny {
      border-radius: 35px;
      height: 50px;
    }

    span {
      @include inter700;
      font-size: 20px;
      line-height: 34.05px;
      text-align: center;

      @include lg {
        font-size: 15px;
      }
      @include md {
        font-size: 20px;
      }
      @include sm {
        font-size: 18px;
      }
      @include xs {
        font-size: 16px;
      }
      @include xxxs {
        font-size: 14px;
      }
      @include tiny {
        font-size: 12px;
      }
    }

    .option {
      flex: 1;
      display: flex;
      align-items: center;
      justify-content: center;
      @include inter700;
      font-size: 25px;
      text-align: center;
      cursor: pointer;
      transition: all 0.3s ease;
      border-radius: 35px;
      color: getColorHex("black");
      span {
        line-height: 27.24px;
      }
    }

    .selected {
      background-color: getColorHex("orange");
      color: getColorHex("white") !important;
      cursor: auto;
    }

    .option:not(.selected) {
      opacity: 1;
      &:hover {
        opacity: 0.7;
      }
    }

    .option:hover {
      opacity: 1;
    }
  }
}
